# set - Neırssi 1.3 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

# set

## Syntax

    SET [-clear | -default | -section] [<key> [<value>]]

## Parameters

`-clear`: | Removes the setting’s value from the configuration.
`-default`: | Restore the setting to its default value.
`-section`: | Print settings under the specified section

The setting and the value; if no value is given, the list of settings that matched will be returned. If no arguments are given, all the settings will be displayed.

## Description

Modifies the value of a setting; boolean settings accept only ON, OFF and TOGGLE.

Please remember that you need to use the SAVE command to store the changes into your configuration.

## Examples

    /SET
    /SET nick mike
    /SET -clear nick
    /SET log_timestamp %H:%H:%S
    /SET -default log_timestamp
    /SET -section lookandfeel
    /SET close

## See also

SAVE, TOGGLE